var xmlhttp = new XMLHttpRequest();
var url = 'https://hi-berlin.net/api.json';

xmlhttp.onreadystatechange=function() {
    if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
        myFunction(xmlhttp.responseText);
    }
}
xmlhttp.open('GET', url, true);
xmlhttp.send();

function myFunction(response) {
    
    let wordsList = JSON.parse(response);
    //console.log(wordsList); // logs the recieved word list

    const foundText= document.querySelectorAll('h1,h2,h3,h4,h5,p,li,td,caption,span,a'); // get all html elements which can include text and save it as an array named 'foundText'
    for( let i = 0; i < foundText.length; i++){ // loop trough all of the found elements
        console.log(foundText[i].innerHTML);
        console.log(foundText[i].hasChildNodes())
        console.log('----')
        for (let word of wordsList){
            if (foundText[i].innerHTML.toLowerCase().includes(word.replaceWord.toLowerCase())) {
               // console.log('found:' + word.replaceWord + '\t at:' + i);
                if(foundText[i].hasChildNodes()) {
                    if(foundText[i].childNodes.length == 1) {
                         foundText[i].innerHTML = foundText[i].innerHTML.replace(new RegExp('('+word.replaceWord+')', 'gi'),word.name); 
                    }    
                }    
            }
        }
    }
}